"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const semantic_ui_react_1 = require("semantic-ui-react");
const stores_1 = require("../stores");
const style = {
    backgroundColor: "mistyrose",
    bottom: 0,
    left: 0,
    position: "fixed",
    right: 0
};
exports.ErrorBar = () => {
    const error = stores_1.useErrorState();
    const { clearError } = stores_1.useErrorDispatch();
    if (!error) {
        return null;
    }
    return (react_1.default.createElement(semantic_ui_react_1.Message, { error: true, style: style },
        react_1.default.createElement(semantic_ui_react_1.Rail, { position: "right", internal: true, close: true },
            react_1.default.createElement(semantic_ui_react_1.Button, { icon: "close", color: "red", floated: "right", compact: true, onClick: clearError })),
        react_1.default.createElement("b", null, error.name),
        react_1.default.createElement("p", null, error.message)));
};
