"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const contexts_1 = require("../contexts");
exports.HiroGraph = ({ orm, children }) => {
    const [me, setMe] = react_1.useState();
    const getMe = react_1.useCallback(() => orm &&
        orm
            .me()
            .then(newMe => void setMe(newMe))
            .catch(() => {
            if (process.env && process.env.NODE_ENV === "development") {
                if (!window.sessionStorage.getItem("access_token")) {
                    return;
                }
                window.sessionStorage.removeItem("access_token");
                window.location.reload();
            }
        }), [orm]);
    react_1.useEffect(() => {
        getMe();
        const i = setInterval(() => {
            getMe();
        }, 30000);
        return () => clearInterval(i);
    }, [getMe]);
    const value = {
        orm,
        me
    };
    return (react_1.default.createElement(contexts_1.HiroGraphContext.Provider, { value: value }, children));
};
