"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const react_router_dom_1 = require("react-router-dom");
const semantic_ui_react_1 = require("semantic-ui-react");
const renderLogo = (logo) => (react_1.default.createElement(semantic_ui_react_1.Image, { size: "mini", src: logo, spaced: "right", alt: "logo" }));
const renderNav = (navigation, location) => {
    const className = (n) => classnames_1.default("link", "item", {
        active: n.href === location.pathname
    });
    return navigation.map(n => (react_1.default.createElement(react_router_dom_1.Link, { to: n.href, key: n.href, className: className(n) }, n.contents)));
};
const renderSearch = ({ options, onChange }) => (react_1.default.createElement(semantic_ui_react_1.Menu.Item, null,
    react_1.default.createElement(semantic_ui_react_1.Dropdown, { placeholder: "State", search: true, selection: true, options: options, onChange: onChange })));
const renderDropDown = ({ options, trigger, color = "black" }) => (react_1.default.createElement(semantic_ui_react_1.Dropdown, { item: true, options: options, trigger: trigger || " ", icon: react_1.default.createElement(semantic_ui_react_1.Icon, { name: "caret down", size: "large", color: color }) }));
exports.TopBar = react_router_dom_1.withRouter(({ navigation, logo, title, search, dropdown, location }) => {
    const showMenu = search || dropdown;
    let menu;
    if (showMenu) {
        menu = (react_1.default.createElement(semantic_ui_react_1.Menu.Menu, { position: "right" },
            search && renderSearch(search),
            dropdown && renderDropDown(dropdown)));
    }
    return (react_1.default.createElement(semantic_ui_react_1.Menu, null,
        react_1.default.createElement(semantic_ui_react_1.Container, { fluid: true },
            react_1.default.createElement(semantic_ui_react_1.Menu.Item, { header: true },
                react_1.default.createElement("span", null,
                    logo && renderLogo(logo),
                    title)),
            navigation && renderNav(navigation, location),
            menu)));
});
