import React from "react";
import { SdkConfig } from "@hiro-ui/sdk";
import { Reducer } from "typesafe-actions";
import { Saga } from "redux-saga";
import { Orm } from "../contexts";
interface HiroAppParams {
    config?: SdkConfig;
    reducers?: {
        [index: string]: Reducer<any, any>;
    };
    sagas?: Saga[];
}
export declare class HiroApp {
    config?: SdkConfig;
    reducers?: {
        [index: string]: Reducer<any, any>;
    };
    sagas?: Saga[];
    constructor({ config, reducers, sagas }?: HiroAppParams);
    setup: () => Promise<{
        store: import("redux").Store<{
            "@hiro-ui": {
                error: any;
                graph: any;
            };
        }, import("redux").AnyAction>;
        orm: Orm | undefined;
        ready: typeof import("@hiro-ui/sdk/lib/communicate").ready | undefined;
    }>;
    render: (children: React.ReactNode, target: HTMLElement | null) => Promise<void>;
}
export {};
