"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const redux_react_hook_1 = require("redux-react-hook");
const lodash_es_1 = require("lodash-es");
const constants_1 = require("../constants");
const constants_2 = require("./constants");
const actions_1 = require("./actions");
exports.useErrorState = () => {
    const mapState = react_1.useCallback(state => lodash_es_1.get(state, [constants_1.HIRO_NAMESPACE, constants_2.ERROR_NAMESPACE]), []);
    return redux_react_hook_1.useMappedState(mapState);
};
exports.useErrorDispatch = () => {
    const dispatch = redux_react_hook_1.useDispatch();
    const setError = react_1.useCallback((error) => dispatch(actions_1.errorSet(error)), [dispatch]);
    const clearError = react_1.useCallback(() => dispatch(actions_1.errorClear()), [dispatch]);
    return { setError, clearError };
};
