"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const effects_1 = require("redux-saga/effects");
const actions_1 = require("./actions");
function* sendRequest(req, id, params) {
    try {
        const response = yield effects_1.call(req, ...params);
        yield effects_1.put(actions_1.graphQuery.success({ id, response }));
    }
    catch (error) {
        yield effects_1.put(actions_1.graphQuery.failure({ id, error }));
    }
}
function* handleRequest(orm, action) {
    const { id, entity, method, args } = action.payload;
    const params = Array.isArray(args) ? args : [args];
    yield effects_1.race({
        result: yield effects_1.call(sendRequest, orm[entity][method], id, params),
        cancel: yield effects_1.take(actions_1.graphQuery.cancel)
    });
}
function* handleGraphRequests(orm) {
    if (!orm) {
        return;
    }
    yield effects_1.takeEvery(actions_1.graphQuery.request, handleRequest, orm);
}
exports.handleGraphRequests = handleGraphRequests;
